[mpich-commits] [mpich] MPICH primary repository branch, master, updated. v3.0.4-387-gfab816f

mysql vizuser noreply at mpich.org
Fri Jul 26 13:20:06 CDT 2013


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "MPICH primary repository".

The branch, master has been updated
       via  fab816f0cdfdf82e44aaddc3737e1f38562bc858 (commit)
      from  a7ea4b9b018afe02dcf558cf5fc8f288c3180a47 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.mpich.org/mpich.git/commitdiff/fab816f0cdfdf82e44aaddc3737e1f38562bc858

commit fab816f0cdfdf82e44aaddc3737e1f38562bc858
Author: Antonio J. Pena <apenya at mcs.anl.gov>
Date:   Wed Jul 24 18:54:40 2013 -0500

    Patch libtool.m4 after every autoreconf and fix timestamp.
    
    Fixes ticket #1870.
    
    Signed-off-by: Pavan Balaji <balaji at mcs.anl.gov>

diff --git a/autogen.sh b/autogen.sh
index 680bfb6..d79c451 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -903,28 +903,26 @@ if [ "$do_build_configure" = "yes" ] ; then
 	    echo "------------------------------------------------------------------------"
 	    echo "running $autoreconf in $amdir"
             (cd $amdir && $autoreconf $autoreconf_args) || exit 1
+            # Patching libtool.m4
+            # This works with libtool versions 2.4 - 2.4.2.
+            # Older versions are not supported to build mpich.
+            # Newer versions should have this patch already included.
+            # There is no need to patch if we're not going to use Fortran.
+            if [ $do_bindings = "yes" ] ; then
+                if [ -f $amdir/confdb/libtool.m4 ] ; then
+                    echo_n "Patching libtool.m4 for compatibility with nagfor shared libraries... "
+                    patch --forward -s -l $amdir/confdb/libtool.m4 maint/libtool.m4.patch
+                    if [ $? -eq 0 ] ; then
+                        echo "done"
+                        # Remove possible leftovers, which don't imply a failure
+                        rm -f $amdir/confdb/libtool.m4.orig
+                        # Reset libtool.m4 timestamps to avoid confusing make
+                        touch $amdir/confdb/libtool.m4 -r $amdir/confdb/ltversion.m4
+                    else
+                        echo "failed"
+                    fi
+                fi
+            fi
 	fi
     done
 fi
-
-########################################################################
-## Patching libtool.m4
-########################################################################
-
-# This works with libtool versions 2.4 - 2.4.2.
-# Older versions are not supported to build mpich.
-# Newer versions should have this patch already included.
-# There is no need to patch if we're not going to use Fortran.
-if [ $do_bindings = "yes" ] ; then
-    echo "------------------------------------------------------------------------"
-    echo
-    echo_n "Patching libtool.m4 for compatibility with nagfor shared libraries... "
-    patch --forward -p0 -s -l < maint/libtool.m4.patch
-    rm -f confdb/libtool.m4.orig
-    if [ $? -eq 0 ] ; then
-        echo "done"
-    else
-        echo "failed"
-        exit 1
-    fi
-fi

-----------------------------------------------------------------------

Summary of changes:
 autogen.sh |   42 ++++++++++++++++++++----------------------
 1 files changed, 20 insertions(+), 22 deletions(-)


hooks/post-receive
-- 
MPICH primary repository


More information about the commits mailing list